CLOG(3)

NAME
clog, clogf, clogl - complex natural logarithm

SYNOPSIS
#include <complex.h>
double complex
clog(double complex z);
float complex
clogf(float complex z);
long double complex
clogl(long double complex z);

DESCRIPTION
The clog(), clogf() and clogl() functions compute the complex logarithm to the base e (2.718...) of z.

If z = x + iy, then

    clog(z) = log(sqrt(x^2 + y^2)) + i atan(y / x).

RETURN VALUES
The clog(), clogf() and clogl() functions return the complex logarithm to the base e of z with imaginary part in the interval [-Pi, Pi], and unbounded real part.

SEE ALSO
cexp(3), cpow(3)

STANDARDS
The clog(), clogf() and clogl() functions conform to isoC-99.